Gentoo Archives: gentoo-sparc

From: Ferris McCormick <fmccor@g.o>
To: gentoo-sparc@l.g.o
Cc: x11@g.o
Subject: [gentoo-sparc] Patch available for the 'kernel-2.4.xx must use deprecated keyboard driver in xorg-x11' bug 61940
Date: Sun, 17 Jul 2005 23:39:16
Message-Id: Pine.LNX.4.63.0507172314330.2673@terciopelo.krait.us
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Our nuisance problem 'kernel-2.4.xx users must build and use the xorg 
deprecated keyboard driver' is now fixed upstream at X.org, thanks to
Matthias Muthmann.  This closes our beloved bug 61940 as 'Fixed Upstream.'

For those who care, there is a patch available.  In fact, there are two,
both at Bug 61940.  The first is xorg's CVS diff, indicating a release at 
version 16.  The second is a 'diff -u' patch for gentoo use.

If you want to try it, get the gentoo patch id=63633, and follow the 
instructions at Comment 24.  Or, since they are pretty simple, they are 
duplicated here.
1.  Start a build of your favorite version of xorg-x11;
2.  Once everything is unpacked,
     a.  cd ${PORTAGE_TMPDIR}/portage/xorg-x11-[version]/work
     b.  patch -b -z- -p0 < [path-to]/kbd.patch-gentoo

In fact, this is a 31-line patch, I'll just attach it. If you try it,
feedback requested.

Regards,
Ferris

- --
Ferris McCormick (P44646, MI) <fmccor@g.o>
Developer, Gentoo Linux (sparc, devrel)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC2uv3Qa6M3+I///cRAjUyAKDF3toGUpdVNbGsQbJPUtHrjxTgiACg5JjT
DDWGpHcBMzYEKnTZbUEry0U=
=rq2Y
-----END PGP SIGNATURE-----

Attachments

File name MIME type
kbd.patch-gentoo text/plain